# Enum Class SmiGroupType

java.lang.Object
java.lang.Enum<SmiGroupType>
com.snmp4j.smi.SmiGroupType

All Implemented Interfaces:
  `Serializable, Comparable<SmiGroupType>, Constable`

public enum SmiGroupType extends Enum<SmiGroupType>
The enumeration SmiGroupType distinguishes the type of a SMI group. SMIv2 is aware of the group types NOTIFICATION-GROUP and OBJECT-GROUP.

Since:
  1.2 (Pro edition only)
Author:
  Frank Fock

- ## Nested Class Summary

  ### Nested classes/interfaces inherited from class Enum

  `Enum.EnumDesc<E>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `NOTIFICATION_GROUP`
  A NOTIFICATION-GROUP object group type.
  `OBJECT_GROUP`
  A OBJECT-GROUP object group type.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static SmiGroupType`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static SmiGroupType[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### OBJECT_GROUP

    public static final SmiGroupType OBJECT_GROUP
    A OBJECT-GROUP object group type.

  - ### NOTIFICATION_GROUP

    public static final SmiGroupType NOTIFICATION_GROUP
    A NOTIFICATION-GROUP object group type.

- ## Method Details

  - ### values

    public static SmiGroupType[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static SmiGroupType valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null